Skip to content

General system requirements

Looking for on-prem docs?

For on-premises (self-hosted) deployments, use these requirements and follow these instructions to create an account and these instructions to install the plugin.

Lightrun requires the following system components:

Installation Component Requirements
Agent - JDK/OpenJDK 1.7 or newer
- Linux with GLIBCXX_3.4.19 or newer (Ubuntu 14+, Centos 7+ or equivalent)
IntelliJ plugin - JDK/OpenJDK 1.8 or newer
- IntelliJ Idea 2018.3 / 2019.3 / 2020.1

Last update: May 6, 2021